Vulnerability CVE-2021-28164


Published: 2021-04-01

Description:
In Eclipse Jetty 9.4.37.v20210219 to 9.4.38.v20210224, the default compliance mode allows requests with URIs that contain %2e or %2e%2e segments to access protected resources within the WEB-INF directory. For example a request to /context/%2e/WEB-INF/web.xml can retrieve the web.xml file. This can reveal sensitive information regarding the implementation of a web application.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Jetty 9.4.37.v20210219 Information Disclosure
Mayank Deshmukh
23.10.2021

Type:

CWE-200

(Information Exposure)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Eclipse -> Jetty 

 References:
https://github.com/eclipse/jetty.project/security/advisories/GHSA-v7ff-8wcx-gmc5

Copyright 2022, cxsecurity.com

 

Back to Top